$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.160.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.160.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '5F939FE9778AFCD7C182B350263D9C16F21858C7572A3FC9897C6044F8826E2A'
  checksumType = 'sha256'
  checksum64 = '5F939FE9778AFCD7C182B350263D9C16F21858C7572A3FC9897C6044F8826E2A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.160-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
